WSDL::Namespaces Class Reference

namespace container class More...

## Public Member Functions

| constructor (hash nsh, *Namespaces nsc)
| creates the object with the WSDL definitions attribute hash
| merge (Namespaces nsc)
| merges namespaces when parsing imported schemas
string | getOutputNamespaceUri (string nsp)
| returns the namespace URI for the given output namespace prefix
*hash | getOutputNamespaceHash (*hash nsh)
| returns a hash of namespace attributes for outgoing SOAP messages
*string | getTargetNamespaceUri ()
| returns the primary target namespace Uri
*string | getNamespaceUri (*string nsp)
| returns the namespace URI for the given prefix or the target namespace Uri
| pushTargetNamespace (string ns)
| pushes the current target namespace URI on the stack when parsing schemas and sets the current target namespace URI to the current value
| popTargetNamespace ()
| restores any previous target namespace URI from the stack to the current target namespace URI
| pushDefaultNamespace (string ns)
| pushes the current default namespace URI on the stack when parsing schemas and sets the current default namespace URI to the current value
| popDefaultNamespace ()
| restores any previous default namespace URI from the stack to the current default namespace URI
string | getOutputNamespacePrefix (string ns)
| looks up and registers a namespace if necessary, returns the namespace's prefix
string | getTargetNamespaceInputPrefix ()
| looks up and registers a namespace if necessary, returns the namespace's prefix
private string | registerNamespaceIntern (string n_ns)
| registers a namespace internally
*hash | getReferencedNamespaceMap ()
| returns a hash of namespace prefixes to namespaces URIs actually used
bool | hasSoap11 ()
| returns True if using SOAP 1.1, False if not
bool | hasSoap12 ()
| returns True if using SOAP 1.2, False if not
*bool | isSchema (string ns)
| returns True if if the input namespace prefix refers to the XSD namespace URI
string | getInputNamespaceUri (string nsa)
| returns the input namespace URI from the input namespace prefix
string | translateOutputNamespacePrefix (*string nsa)
| returns the output namespace prefix for the given input namespace prefix

## Private Attributes

hash | ns
| maps output namespace prefixes to namespace URIs
hash | nsr
| maps namespace URIs to output namespace prefixes
hash | xsd_schema
| hash for valid XSD namespaces, maps input namespace prefixes -> True if it refers to an XSD schema
hash | imap
| hash mapping input namespace prefixes to namespaces URIs
hash | imapr
| hash mapping input namespace URIs to input namespace prefixes
int | nsn
| integer providing a sequence for output namespace prefixes
bool | hassoap11 = False
| if True then has SOAP 1.1
bool | hassoap12 = False
| if True then has SOAP 1.2
*string | target_ns
| current target namespace
list | nss = ()
| target namespace stack;
*string | default_ns
| default namespace for unprefixed definitions
list | dss = ()
| default namespace stack;

## Detailed Description

namespace container class